#include <signal.h>
#include "libsrv.h"

void signal_handler(int )
{
	exit(0);
}

int main()
{
	signal(SIGINT, signal_handler);
	class Library * library_server = new Library("Harvard");

	CORBA::BOA::impl_is_ready();

	return(1);
}


Library::Library(const char *object_name) : library_impl(object_name)
{
}


CORBA::Boolean Library::add_book(const book& book_info, 
				CORBA::Environment& env)
{
	CORBA::Boolean ret;
	if ((ret = bk_list.add_to_list(book_info)) == CORBA::FALSE)
		env.exception_value(new library::CapacityExceeded());
	return ret;
	

}
